> For the complete documentation index, see [llms.txt](https://docs.digitalriver.com/commerce-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.digitalriver.com/commerce-api/events/event-types/subscription-event-types/subscription-payment-information-changed-event.md).

# Subscription payment information changed event

The `subscription.payment_info_changed` event is a crucial notification in subscription management systems. This event is triggered when there has been an update to a subscriber's payment information through an entry point. This update could be related to the credit card details, billing address, or even the choice of payment method.

When this event is triggered, a JSON payload is provided, which includes detailed information about the subscription affected by the update. Details include:

* Basic subscription identifiers (creation and activation dates, next renewal date, etc.)
* Shopper information
* Updated payment option details
* Product and pricing information

Efficient monitoring and handling of the `subscription.payment_info_changed` event ensures seamless subscription management and maintains up-to-date records of subscribers' payment methods.

{% tabs %}
{% tab title="Request" %}

```json
{
    "type": "subscription.payment_info_changed",
    "data": {
        "object": {
            "id": "12060199",
            "creationDate": "2022-05-18T16:50:53.000Z",
            "activationDate": "2022-05-18T05:00:00.000Z",
            "nextRenewalDate": "2023-05-18T05:00:00.000Z",
            "expirationDate": "2023-05-18T05:00:00.000Z",
            "graceDate": "2023-05-18T05:00:00.000Z",
            "currentQuantity": 1,
            "renewalQuantity": 1,
            "autoRenewal": false,
            "locale": "en_US",
            "state": "Subscribed",
            "duration": 365,
            "frequency": 365,
            "siteId": "sub2test",
            "shopper": {
                "id": "26092509660199"
            },
            "renewalPrice": {
                "unitPrice": 9.0,
                "locked": false,
                "currency": "USD"
            },
            "term": {
                "termUnit": "YEARS",
                "termLength": 1
            },
            "product": {
                "id": "5396391800",
                "displayName": "Annual manual renewal Subscription",
                "sku": "SUB_MANUAL_RENEW"
            },
            "shipToAddress": {
                "id": "406026490199",
                "firstName": "Monika",
                "lastName": "Yadav",
                "companyName": "ABC",
                "line1": "Add1",
                "city": "Kansus",
                "postalCode": "123432",
                "countrySubdivision": "AA",
                "country": "VN",
                "countryName": "Vietnam",
                "phoneNumber": "7895673452",
                "emailAddress": "test@dr2.com"
            },
            "paymentOption": {
                "nickName": "Default",
                "id": "4022810199",
                "isDefault": "true",
                "type": "CreditCardMethod",
                "creditCard": {
                    "expirationMonth": "3",
                    "expirationYear": "2025",
                    "displayableNumber": "************1111",
                    "type": "visa",
                    "displayName": "Visa"
                },
                "address": {
                    "id": "406026480199",
                    "firstName": "Monika",
                    "lastName": "Yadav",
                    "companyName": "ABC",
                    "line1": "Add1",
                    "city": "Kansus",
                    "postalCode": "123432",
                    "countrySubdivision": "AA",
                    "country": "VN",
                    "countryName": "Vietnam",
                    "phoneNumber": "7895673452",
                    "emailAddress": "test@dr2.com"
                }
            },
            "addOns": []
        }
    },
      "clientIds":{
      "site_id":"sub2test"
   },
   "searchableData":{
      "subscriptionId":"12060199"
   }
}

```

{% endtab %}

{% tab title="Response" %}

```json
{
    "id": "2ef60793-d413-4a46-921e-f692e77ad231",
    "type": "subscription.payment_info_changed",
    "data": {
        "object": {
            "id": "12060199",
            "creationDate": "2022-05-18T16:50:53.000Z",
            "activationDate": "2022-05-18T05:00:00.000Z",
            "nextRenewalDate": "2023-05-18T05:00:00.000Z",
            "expirationDate": "2023-05-18T05:00:00.000Z",
            "graceDate": "2023-05-18T05:00:00.000Z",
            "currentQuantity": 1,
            "renewalQuantity": 1,
            "autoRenewal": false,
            "locale": "en_US",
            "state": "Subscribed",
            "duration": 365,
            "frequency": 365,
            "siteId": "sub2test",
            "shopper": {
                "id": "26092509660199"
            },
            "renewalPrice": {
                "unitPrice": 9.0,
                "locked": false,
                "currency": "USD"
            },
            "term": {
                "termUnit": "YEARS",
                "termLength": 1
            },
            "product": {
                "id": "5396391800",
                "displayName": "Annual manual renewal Subscription",
                "sku": "SUB_MANUAL_RENEW"
            },
            "shipToAddress": {
                "id": "406026490199",
                "firstName": "Monika",
                "lastName": "Yadav",
                "companyName": "ABC",
                "line1": "Add1",
                "city": "Kansus",
                "postalCode": "123432",
                "countrySubdivision": "AA",
                "country": "VN",
                "countryName": "Vietnam",
                "phoneNumber": "7895673452",
                "emailAddress": "test@dr2.com"
            },
            "paymentOption": {
                "nickName": "Default",
                "id": "4022810199",
                "isDefault": "true",
                "type": "CreditCardMethod",
                "creditCard": {
                    "expirationMonth": "3",
                    "expirationYear": "2025",
                    "displayableNumber": "************1111",
                    "type": "visa",
                    "displayName": "Visa"
                },
                "address": {
                    "id": "406026480199",
                    "firstName": "Monika",
                    "lastName": "Yadav",
                    "companyName": "ABC",
                    "line1": "Add1",
                    "city": "Kansus",
                    "postalCode": "123432",
                    "countrySubdivision": "AA",
                    "country": "VN",
                    "countryName": "Vietnam",
                    "phoneNumber": "7895673452",
                    "emailAddress": "test@dr2.com"
                }
            },
            "addOns": []
        }
    },
    "liveMode": false,
    "createdTime": "2022-05-18T16:56:37.834997Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.digitalriver.com/commerce-api/events/event-types/subscription-event-types/subscription-payment-information-changed-event.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
